!**************************************************************
!* AceGen    7.402 Linux (2 Jan 22)                           *
!*           Co. J. Korelc  2020           24 Oct 23 10:09:07 *
!**************************************************************
! User     : Full professional version
! Notebook : elmt05_pdgf_semi_implicit
! Evaluation time                 : 19 s    Mode  : Optimal
! Number of formulae              : 673     Method: Automatic
! Subroutine                      : elmt05_pdgf_semi_implicit size: 13597
! Total size of Mathematica  code : 13597 subexpressions
! Total size of Fortran code      : 36238 bytes

!******************* S U B R O U T I N E **********************
      SUBROUTINE elmt05_pdgf_semi_implicit(activator,coupling
     &,thetanumerical,dt,Xn,Un,xi,eta,zeta,cPvec,cPprevvec,dPDGF,reta
     &,etaP,lP1,epsilonP,lP2,cTth,kP,cTvec,cTprevvec,kT,cDvec
     &,cDprevvec,kD,rhoSvec,rhoSprevvec,kS,resP,tangPU,tangPP,tangPT
     &,tangPS,tangPD)
      IMPLICIT NONE
      include 'sms.h'
      INTEGER activator,coupling
      DOUBLE PRECISION v(1149),thetanumerical,dt,Xn(8,3),Un
     &(8,3),xi,eta,zeta,cPvec(8),cPprevvec(8),dPDGF,reta,etaP,lP1
     &,epsilonP,lP2,cTth,kP,cTvec(8),cTprevvec(8),kT,cDvec(8)
     &,cDprevvec(8),kD,rhoSvec(8),rhoSprevvec(8),kS,resP(8),tangPU(8
     &,24),tangPP(8,8),tangPT(8,8),tangPS(8,8),tangPD(8,8)
      v(4)=dt
      v(5)=Xn(1,1)
      v(6)=Xn(1,2)
      v(7)=Xn(1,3)
      v(8)=Xn(2,1)
      v(955)=-v(5)+v(8)
      v(9)=Xn(2,2)
      v(951)=-v(6)+v(9)
      v(10)=Xn(2,3)
      v(947)=v(10)-v(7)
      v(11)=Xn(3,1)
      v(942)=-v(11)+v(8)
      v(12)=Xn(3,2)
      v(938)=-v(12)+v(9)
      v(13)=Xn(3,3)
      v(934)=v(10)-v(13)
      v(14)=Xn(4,1)
      v(954)=v(11)-v(14)
      v(943)=-v(14)+v(5)
      v(15)=Xn(4,2)
      v(950)=v(12)-v(15)
      v(939)=-v(15)+v(6)
      v(16)=Xn(4,3)
      v(946)=v(13)-v(16)
      v(935)=-v(16)+v(7)
      v(17)=Xn(5,1)
      v(931)=-v(17)+v(5)
      v(18)=Xn(5,2)
      v(927)=-v(18)+v(6)
      v(19)=Xn(5,3)
      v(923)=-v(19)+v(7)
      v(20)=Xn(6,1)
      v(953)=-v(17)+v(20)
      v(930)=-v(20)+v(8)
      v(21)=Xn(6,2)
      v(949)=-v(18)+v(21)
      v(926)=-v(21)+v(9)
      v(22)=Xn(6,3)
      v(945)=-v(19)+v(22)
      v(922)=v(10)-v(22)
      v(23)=Xn(7,1)
      v(940)=v(20)-v(23)
      v(929)=v(11)-v(23)
      v(24)=Xn(7,2)
      v(936)=v(21)-v(24)
      v(925)=v(12)-v(24)
      v(25)=Xn(7,3)
      v(932)=v(22)-v(25)
      v(921)=v(13)-v(25)
      v(26)=Xn(8,1)
      v(952)=v(23)-v(26)
      v(941)=v(17)-v(26)
      v(928)=v(14)-v(26)
      v(27)=Xn(8,2)
      v(948)=v(24)-v(27)
      v(937)=v(18)-v(27)
      v(924)=v(15)-v(27)
      v(28)=Xn(8,3)
      v(944)=v(25)-v(28)
      v(933)=v(19)-v(28)
      v(920)=v(16)-v(28)
      v(29)=Un(1,1)
      v(30)=Un(1,2)
      v(31)=Un(1,3)
      v(32)=Un(2,1)
      v(33)=Un(2,2)
      v(34)=Un(2,3)
      v(35)=Un(3,1)
      v(36)=Un(3,2)
      v(37)=Un(3,3)
      v(38)=Un(4,1)
      v(39)=Un(4,2)
      v(40)=Un(4,3)
      v(41)=Un(5,1)
      v(42)=Un(5,2)
      v(43)=Un(5,3)
      v(44)=Un(6,1)
      v(45)=Un(6,2)
      v(46)=Un(6,3)
      v(47)=Un(7,1)
      v(48)=Un(7,2)
      v(49)=Un(7,3)
      v(50)=Un(8,1)
      v(51)=Un(8,2)
      v(52)=Un(8,3)
      v(53)=xi
      v(138)=1d0-v(53)
      v(134)=1d0+v(53)
      v(54)=eta
      v(144)=1d0+v(54)
      v(177)=v(144)/8d0
      v(185)=-(v(138)*v(177))
      v(184)=-(v(134)*v(177))
      v(140)=1d0-v(54)
      v(178)=v(140)/8d0
      v(183)=-(v(134)*v(178))
      v(181)=-(v(138)*v(178))
      v(196)=v(185)*v(920)+v(184)*v(921)+v(183)*v(922)+v(181)*v(923)
      v(193)=v(185)*v(924)+v(184)*v(925)+v(183)*v(926)+v(181)*v(927)
      v(190)=v(185)*v(928)+v(184)*v(929)+v(183)*v(930)+v(181)*v(931)
      v(55)=zeta
      v(176)=(1d0+v(55))/8d0
      v(187)=-(v(134)*v(176))
      v(186)=-(v(138)*v(176))
      v(147)=v(144)*v(176)
      v(142)=v(140)*v(176)
      v(179)=(1d0-v(55))/8d0
      v(182)=-(v(134)*v(179))
      v(180)=-(v(138)*v(179))
      v(195)=v(187)*v(932)+v(186)*v(933)+v(182)*v(934)+v(180)*v(935)
      v(192)=v(187)*v(936)+v(186)*v(937)+v(182)*v(938)+v(180)*v(939)
      v(214)=-(v(193)*v(195))+v(192)*v(196)
      v(189)=v(187)*v(940)+v(186)*v(941)+v(182)*v(942)+v(180)*v(943)
      v(450)=-(v(190)*v(192))+v(189)*v(193)
      v(434)=v(190)*v(195)-v(189)*v(196)
      v(137)=v(144)*v(179)
      v(132)=v(140)*v(179)
      v(194)=v(147)*v(944)+v(142)*v(945)+v(137)*v(946)+v(132)*v(947)
      v(191)=v(147)*v(948)+v(142)*v(949)+v(137)*v(950)+v(132)*v(951)
      v(222)=-(v(192)*v(194))+v(191)*v(195)
      v(218)=-(v(193)*v(194))+v(191)*v(196)
      v(188)=v(147)*v(952)+v(142)*v(953)+v(137)*v(954)+v(132)*v(955)
      v(514)=-(v(189)*v(191))+v(188)*v(192)
      v(504)=v(189)*v(194)-v(188)*v(195)
      v(485)=v(190)*v(191)-v(188)*v(193)
      v(475)=-(v(190)*v(194))+v(188)*v(196)
      v(56)=cPvec(1)
      v(57)=cPvec(2)
      v(58)=cPvec(3)
      v(59)=cPvec(4)
      v(60)=cPvec(5)
      v(61)=cPvec(6)
      v(62)=cPvec(7)
      v(63)=cPvec(8)
      v(1010)=dPDGF*v(4)
      v(73)=reta
      v(131)=v(132)*v(138)
      v(133)=v(132)*v(134)
      v(136)=v(134)*v(137)
      v(139)=v(137)*v(138)
      v(141)=v(138)*v(142)
      v(143)=v(134)*v(142)
      v(146)=v(134)*v(147)
      v(148)=v(138)*v(147)
      v(197)=v(188)*v(214)-v(189)*v(218)+v(190)*v(222)
      v(416)=1d0/v(197)**2
      v(215)=-(v(214)/v(197))
      v(376)=v(179)*v(215)
      v(364)=v(176)*v(215)
      v(340)=v(178)*v(215)
      v(328)=-(v(177)*v(215))
      v(280)=-(v(147)*v(215))
      v(271)=v(142)*v(215)
      v(262)=-(v(137)*v(215))
      v(253)=v(132)*v(215)
      v(216)=-(v(434)/v(197))
      v(379)=v(179)*v(216)
      v(366)=v(176)*v(216)
      v(343)=v(178)*v(216)
      v(330)=-(v(177)*v(216))
      v(282)=-(v(147)*v(216))
      v(273)=v(142)*v(216)
      v(264)=-(v(137)*v(216))
      v(255)=v(132)*v(216)
      v(217)=-(v(450)/v(197))
      v(382)=v(179)*v(217)
      v(368)=v(176)*v(217)
      v(346)=v(178)*v(217)
      v(332)=-(v(177)*v(217))
      v(284)=-(v(147)*v(217))
      v(275)=v(142)*v(217)
      v(266)=-(v(137)*v(217))
      v(257)=v(132)*v(217)
      v(219)=-(v(218)/v(197))
      v(241)=v(179)*v(219)
      v(229)=v(176)*v(219)
      v(220)=v(475)/v(197)
      v(244)=v(179)*v(220)
      v(231)=v(176)*v(220)
      v(221)=v(485)/v(197)
      v(247)=v(179)*v(221)
      v(233)=v(176)*v(221)
      v(223)=v(222)/v(197)
      v(242)=v(178)*v(223)
      v(235)=v(177)*v(223)
      v(224)=v(504)/v(197)
      v(245)=v(178)*v(224)
      v(237)=v(177)*v(224)
      v(225)=v(514)/v(197)
      v(248)=v(178)*v(225)
      v(239)=v(177)*v(225)
      v(226)=v(229)+v(235)
      v(645)=-(v(217)*v(226))
      v(641)=-(v(215)*v(226))
      v(227)=v(231)+v(237)
      v(651)=-(v(217)*v(227))
      v(649)=-(v(216)*v(227))
      v(647)=-(v(215)*v(227))
      v(228)=v(233)+v(239)
      v(657)=-(v(217)*v(228))
      v(230)=-v(229)+v(242)
      v(618)=v(217)*v(230)
      v(614)=v(215)*v(230)
      v(232)=-v(231)+v(245)
      v(624)=v(217)*v(232)
      v(622)=v(216)*v(232)
      v(620)=v(215)*v(232)
      v(234)=-v(233)+v(248)
      v(630)=v(217)*v(234)
      v(236)=-v(235)+v(241)
      v(591)=-(v(217)*v(236))
      v(587)=-(v(215)*v(236))
      v(238)=-v(237)+v(244)
      v(597)=-(v(217)*v(238))
      v(595)=-(v(216)*v(238))
      v(593)=-(v(215)*v(238))
      v(240)=-v(239)+v(247)
      v(603)=-(v(217)*v(240))
      v(243)=-v(241)-v(242)
      v(564)=v(217)*v(243)
      v(560)=v(215)*v(243)
      v(246)=-v(244)-v(245)
      v(570)=v(217)*v(246)
      v(568)=v(216)*v(246)
      v(566)=v(215)*v(246)
      v(249)=-v(247)-v(248)
      v(576)=v(217)*v(249)
      v(250)=v(138)*v(243)+v(253)
      v(251)=v(138)*v(246)+v(255)
      v(252)=v(138)*v(249)+v(257)
      v(254)=v(134)*v(243)-v(253)
      v(256)=v(134)*v(246)-v(255)
      v(258)=v(134)*v(249)-v(257)
      v(259)=v(134)*v(236)+v(262)
      v(260)=v(134)*v(238)+v(264)
      v(261)=v(134)*v(240)+v(266)
      v(263)=v(138)*v(236)-v(262)
      v(265)=v(138)*v(238)-v(264)
      v(267)=v(138)*v(240)-v(266)
      v(268)=v(138)*v(230)+v(271)
      v(269)=v(138)*v(232)+v(273)
      v(270)=v(138)*v(234)+v(275)
      v(272)=v(134)*v(230)-v(271)
      v(274)=v(134)*v(232)-v(273)
      v(276)=v(134)*v(234)-v(275)
      v(277)=v(134)*v(226)+v(280)
      v(278)=v(134)*v(227)+v(282)
      v(279)=v(134)*v(228)+v(284)
      v(281)=v(138)*v(226)-v(280)
      v(283)=v(138)*v(227)-v(282)
      v(285)=v(138)*v(228)-v(284)
      v(295)=1d0+v(250)*v(29)+v(254)*v(32)+v(259)*v(35)+v(263)*v(38)
     &+v(268)*v(41)+v(272)*v(44)+v(277)*v(47)+v(281)*v(50)
      v(296)=v(251)*v(29)+v(256)*v(32)+v(260)*v(35)+v(265)*v(38)+v
     &(269)*v(41)+v(274)*v(44)+v(278)*v(47)+v(283)*v(50)
      v(297)=v(252)*v(29)+v(258)*v(32)+v(261)*v(35)+v(267)*v(38)+v
     &(270)*v(41)+v(276)*v(44)+v(279)*v(47)+v(285)*v(50)
      v(298)=v(250)*v(30)+v(254)*v(33)+v(259)*v(36)+v(263)*v(39)+v
     &(268)*v(42)+v(272)*v(45)+v(277)*v(48)+v(281)*v(51)
      v(299)=1d0+v(251)*v(30)+v(256)*v(33)+v(260)*v(36)+v(265)*v(39)
     &+v(269)*v(42)+v(274)*v(45)+v(278)*v(48)+v(283)*v(51)
      v(300)=v(252)*v(30)+v(258)*v(33)+v(261)*v(36)+v(267)*v(39)+v
     &(270)*v(42)+v(276)*v(45)+v(279)*v(48)+v(285)*v(51)
      v(301)=v(250)*v(31)+v(254)*v(34)+v(259)*v(37)+v(263)*v(40)+v
     &(268)*v(43)+v(272)*v(46)+v(277)*v(49)+v(281)*v(52)
      v(302)=v(251)*v(31)+v(256)*v(34)+v(260)*v(37)+v(265)*v(40)+v
     &(269)*v(43)+v(274)*v(46)+v(278)*v(49)+v(283)*v(52)
      v(697)=-(v(299)*v(301))+v(298)*v(302)
      v(303)=1d0+v(252)*v(31)+v(258)*v(34)+v(261)*v(37)+v(267)*v(40)
     &+v(270)*v(43)+v(276)*v(46)+v(279)*v(49)+v(285)*v(52)
      v(696)=-(v(300)*v(301))+v(298)*v(303)
      v(695)=-(v(300)*v(302))+v(299)*v(303)
      v(304)=v(295)*v(695)-v(296)*v(696)+v(297)*v(697)
      v(1027)=-(v(148)/v(304))
      v(1025)=-(v(146)/v(304))
      v(1023)=-(v(143)/v(304))
      v(1021)=-(v(141)/v(304))
      v(1019)=-(v(139)/v(304))
      v(1017)=-(v(136)/v(304))
      v(1015)=-(v(133)/v(304))
      v(1013)=-(v(131)/v(304))
      v(305)=(v(295)*v(295))+(v(298)*v(298))+(v(301)*v(301))
      v(306)=v(295)*v(296)+v(298)*v(299)+v(301)*v(302)
      v(319)=(v(306)*v(306))
      v(307)=v(295)*v(297)+v(298)*v(300)+v(301)*v(303)
      v(316)=(v(307)*v(307))
      v(308)=(v(296)*v(296))+(v(299)*v(299))+(v(302)*v(302))
      v(309)=v(296)*v(297)+v(299)*v(300)+v(302)*v(303)
      v(919)=v(307)*v(309)
      v(310)=(v(297)*v(297))+(v(300)*v(300))+(v(303)*v(303))
      v(918)=-(v(309)*v(309))+v(308)*v(310)
      v(311)=1d0/(-(v(308)*v(316))-v(310)*v(319)+v(305)*v(918)+2d0*v
     &(306)*v(919))
      v(313)=v(311)*v(918)
      v(314)=v(311)*(-(v(306)*v(310))+v(919))
      v(315)=(-(v(307)*v(308))+v(306)*v(309))*v(311)
      v(317)=v(311)*(v(305)*v(310)-v(316))
      v(318)=(v(306)*v(307)-v(305)*v(309))*v(311)
      v(320)=v(311)*(v(305)*v(308)-v(319))
      v(322)=v(219)/8d0
      v(958)=v(223)*v(322)
      v(956)=v(224)*v(322)
      v(341)=-(v(138)*v(322))
      v(334)=-(v(134)*v(322))
      v(323)=v(220)/8d0
      v(961)=v(224)*v(323)
      v(344)=-(v(138)*v(323))
      v(336)=-(v(134)*v(323))
      v(324)=v(221)/8d0
      v(347)=-(v(138)*v(324))
      v(338)=-(v(134)*v(324))
      v(325)=v(328)+v(341)
      v(326)=v(330)+v(344)
      v(327)=v(332)+v(347)
      v(329)=-v(328)+v(334)
      v(331)=-v(330)+v(336)
      v(333)=-v(332)+v(338)
      v(335)=-v(334)+v(340)
      v(337)=-v(336)+v(343)
      v(339)=-v(338)+v(346)
      v(342)=-v(340)-v(341)
      v(345)=-v(343)-v(344)
      v(348)=-v(346)-v(347)
      v(349)=v(325)*v(920)+v(329)*v(921)+v(335)*v(922)+v(342)*v(923)
      v(350)=v(326)*v(920)+v(331)*v(921)+v(337)*v(922)+v(345)*v(923)
      v(351)=v(327)*v(920)+v(333)*v(921)+v(339)*v(922)+v(348)*v(923)
      v(352)=v(325)*v(924)+v(329)*v(925)+v(335)*v(926)+v(342)*v(927)
      v(353)=v(326)*v(924)+v(331)*v(925)+v(337)*v(926)+v(345)*v(927)
      v(354)=v(327)*v(924)+v(333)*v(925)+v(339)*v(926)+v(348)*v(927)
      v(355)=v(325)*v(928)+v(329)*v(929)+v(335)*v(930)+v(342)*v(931)
      v(356)=v(326)*v(928)+v(331)*v(929)+v(337)*v(930)+v(345)*v(931)
      v(357)=v(327)*v(928)+v(333)*v(929)+v(339)*v(930)+v(348)*v(931)
      v(358)=v(223)/8d0
      v(960)=v(220)*v(358)
      v(959)=v(221)*v(358)
      v(377)=-(v(138)*v(358))
      v(370)=-(v(134)*v(358))
      v(359)=v(224)/8d0
      v(965)=v(221)*v(359)
      v(380)=-(v(138)*v(359))
      v(372)=-(v(134)*v(359))
      v(360)=v(225)/8d0
      v(978)=v(219)*v(360)
      v(975)=v(220)*v(360)
      v(973)=v(221)*v(360)
      v(383)=-(v(138)*v(360))
      v(374)=-(v(134)*v(360))
      v(361)=v(364)+v(370)
      v(362)=v(366)+v(372)
      v(363)=v(368)+v(374)
      v(365)=-v(364)+v(377)
      v(367)=-v(366)+v(380)
      v(369)=-v(368)+v(383)
      v(371)=-v(370)+v(376)
      v(373)=-v(372)+v(379)
      v(375)=-v(374)+v(382)
      v(378)=-v(376)-v(377)
      v(381)=-v(379)-v(380)
      v(384)=-v(382)-v(383)
      v(385)=v(361)*v(932)+v(365)*v(933)+v(371)*v(934)+v(378)*v(935)
      v(386)=v(362)*v(932)+v(367)*v(933)+v(373)*v(934)+v(381)*v(935)
      v(387)=v(363)*v(932)+v(369)*v(933)+v(375)*v(934)+v(384)*v(935)
      v(388)=v(361)*v(936)+v(365)*v(937)+v(371)*v(938)+v(378)*v(939)
      v(389)=v(362)*v(936)+v(367)*v(937)+v(373)*v(938)+v(381)*v(939)
      v(390)=v(363)*v(936)+v(369)*v(937)+v(375)*v(938)+v(384)*v(939)
      v(391)=v(192)*v(349)-v(195)*v(352)-v(193)*v(385)+v(196)*v(388)
      v(394)=v(361)*v(940)+v(365)*v(941)+v(371)*v(942)+v(378)*v(943)
      v(395)=v(362)*v(940)+v(367)*v(941)+v(373)*v(942)+v(381)*v(943)
      v(396)=v(363)*v(940)+v(369)*v(941)+v(375)*v(942)+v(384)*v(943)
      v(397)=v(226)*v(944)+v(230)*v(945)+v(236)*v(946)+v(243)*v(947)
      v(398)=v(227)*v(944)+v(232)*v(945)+v(238)*v(946)+v(246)*v(947)
      v(399)=v(228)*v(944)+v(234)*v(945)+v(240)*v(946)+v(249)*v(947)
      v(400)=v(226)*v(948)+v(230)*v(949)+v(236)*v(950)+v(243)*v(951)
      v(401)=v(227)*v(948)+v(232)*v(949)+v(238)*v(950)+v(246)*v(951)
      v(402)=v(228)*v(948)+v(234)*v(949)+v(240)*v(950)+v(249)*v(951)
      v(403)=v(191)*v(385)-v(194)*v(388)-v(192)*v(397)+v(195)*v(400)
      v(405)=v(191)*v(387)-v(194)*v(390)-v(192)*v(399)+v(195)*v(402)
      v(406)=v(191)*v(349)-v(194)*v(352)-v(193)*v(397)+v(196)*v(400)
      v(409)=v(226)*v(952)+v(230)*v(953)+v(236)*v(954)+v(243)*v(955)
      v(410)=v(227)*v(952)+v(232)*v(953)+v(238)*v(954)+v(246)*v(955)
      v(411)=v(228)*v(952)+v(234)*v(953)+v(240)*v(954)+v(249)*v(955)
      v(957)=-((v(222)*v(355)+v(188)*v(391)-v(218)*v(394)+v(190)*v
     &(403)-v(189)*v(406)+v(214)*v(409))*v(416))
      v(505)=(-(v(188)*v(385))+v(194)*v(394)+v(189)*v(397)-v(195)*v
     &(409))/v(197)+v(504)*v(957)
      v(963)=v(178)*v(505)
      v(962)=v(177)*v(505)
      v(511)=v(956)+v(962)
      v(508)=-v(956)+v(963)
      v(495)=v(403)/v(197)+v(222)*v(957)
      v(501)=v(177)*v(495)+v(958)
      v(498)=v(178)*v(495)-v(958)
      v(486)=(-(v(188)*v(352))+v(191)*v(355)+v(190)*v(400)-v(193)*v
     &(409))/v(197)+v(485)*v(957)
      v(979)=v(179)*v(486)
      v(977)=v(176)*v(486)
      v(476)=(v(188)*v(349)-v(194)*v(355)-v(190)*v(397)+v(196)*v(409)
     &)/v(197)+v(475)*v(957)
      v(967)=v(179)*v(476)
      v(966)=v(176)*v(476)
      v(482)=v(960)+v(966)
      v(536)=-v(482)+v(508)
      v(527)=v(482)+v(511)
      v(479)=-v(960)+v(967)
      v(554)=-v(479)-v(508)
      v(545)=v(479)-v(511)
      v(466)=-(v(406)/v(197))-v(218)*v(957)
      v(472)=v(176)*v(466)+v(958)
      v(533)=-v(472)+v(498)
      v(524)=v(472)+v(501)
      v(469)=v(179)*v(466)-v(958)
      v(551)=-v(469)-v(498)
      v(542)=v(469)-v(501)
      v(451)=(-(v(189)*v(352))+v(192)*v(355)+v(190)*v(388)-v(193)*v
     &(394))/v(197)-v(450)*v(957)
      v(987)=-(v(147)*v(451))
      v(986)=v(142)*v(451)
      v(985)=-(v(137)*v(451))
      v(984)=v(132)*v(451)
      v(435)=(v(189)*v(349)-v(195)*v(355)-v(190)*v(385)+v(196)*v(394)
     &)/v(197)-v(434)*v(957)
      v(971)=-(v(147)*v(435))
      v(970)=v(142)*v(435)
      v(969)=-(v(137)*v(435))
      v(968)=v(132)*v(435)
      v(447)=v(216)*v(243)+v(968)
      v(581)=-v(447)+v(134)*v(554)-v(566)
      v(567)=v(447)+v(138)*v(554)+v(566)
      v(444)=-(v(216)*v(236))+v(969)
      v(608)=-v(444)+v(138)*v(545)-v(593)
      v(594)=v(444)+v(134)*v(545)+v(593)
      v(441)=v(216)*v(230)+v(970)
      v(635)=-v(441)+v(134)*v(536)-v(620)
      v(621)=v(441)+v(138)*v(536)+v(620)
      v(438)=-(v(216)*v(226))+v(971)
      v(671)=-v(438)+v(138)*v(527)-v(647)
      v(648)=v(438)+v(134)*v(527)+v(647)
      v(994)=v(29)*v(567)+v(32)*v(581)+v(35)*v(594)+v(38)*v(608)+v(41
     &)*v(621)+v(44)*v(635)+v(47)*v(648)+v(50)*v(671)
      v(677)=v(30)*v(567)+v(33)*v(581)+v(36)*v(594)+v(39)*v(608)+v(42
     &)*v(621)+v(45)*v(635)+v(48)*v(648)+v(51)*v(671)
      v(993)=v(303)*v(677)
      v(674)=v(31)*v(567)+v(34)*v(581)+v(37)*v(594)+v(40)*v(608)+v(43
     &)*v(621)+v(46)*v(635)+v(49)*v(648)+v(52)*v(671)
      v(992)=-(v(300)*v(674))
      v(419)=-(v(391)/v(197))-v(214)*v(957)
      v(431)=v(132)*v(419)+v(560)
      v(578)=-v(431)+v(134)*v(551)-v(560)
      v(561)=v(431)+v(138)*v(551)+v(560)
      v(428)=-(v(137)*v(419))+v(587)
      v(605)=-v(428)+v(138)*v(542)-v(587)
      v(588)=v(428)+v(134)*v(542)+v(587)
      v(425)=v(142)*v(419)+v(614)
      v(632)=-v(425)+v(134)*v(533)-v(614)
      v(615)=v(425)+v(138)*v(533)+v(614)
      v(422)=-(v(147)*v(419))+v(641)
      v(659)=-v(422)+v(138)*v(524)-v(641)
      v(642)=v(422)+v(134)*v(524)+v(641)
      v(665)=v(30)*v(561)+v(33)*v(578)+v(36)*v(588)+v(39)*v(605)+v(42
     &)*v(615)+v(45)*v(632)+v(48)*v(642)+v(51)*v(659)
      v(662)=v(31)*v(561)+v(34)*v(578)+v(37)*v(588)+v(40)*v(605)+v(43
     &)*v(615)+v(46)*v(632)+v(49)*v(642)+v(52)*v(659)
      v(964)=-((v(222)*v(356)+v(188)*(v(192)*v(350)-v(195)*v(353)-v
     &(193)*v(386)+v(196)*v(389))-v(218)*v(395)+v(190)*(v(191)*v(386)
     &-v(194)*v(389)-v(192)*v(398)+v(195)*v(401))-v(189)*(v(191)*v
     &(350)-v(194)*v(353)-v(193)*v(398)+v(196)*v(401))+v(214)*v(410)
     &)*v(416))
      v(506)=(-(v(188)*v(386))+v(194)*v(395)+v(189)*v(398)-v(195)*v
     &(410))/v(197)+v(504)*v(964)
      v(512)=v(177)*v(506)+v(961)
      v(509)=v(178)*v(506)-v(961)
      v(487)=(-(v(188)*v(353))+v(191)*v(356)+v(190)*v(401)-v(193)*v
     &(410))/v(197)+v(485)*v(964)
      v(976)=v(179)*v(487)
      v(974)=v(176)*v(487)
      v(477)=(v(188)*v(350)-v(194)*v(356)-v(190)*v(398)+v(196)*v(410)
     &)/v(197)+v(475)*v(964)
      v(483)=v(176)*v(477)+v(961)
      v(537)=-v(483)+v(509)
      v(528)=v(483)+v(512)
      v(480)=v(179)*v(477)-v(961)
      v(555)=-v(480)-v(509)
      v(546)=v(480)-v(512)
      v(452)=(-(v(189)*v(353))+v(192)*v(356)+v(190)*v(389)-v(193)*v
     &(395))/v(197)-v(450)*v(964)
      v(983)=-(v(147)*v(452))
      v(982)=v(142)*v(452)
      v(981)=-(v(137)*v(452))
      v(980)=v(132)*v(452)
      v(436)=(v(189)*v(350)-v(195)*v(356)-v(190)*v(386)+v(196)*v(395)
     &)/v(197)-v(434)*v(964)
      v(448)=v(132)*v(436)+v(568)
      v(582)=-v(448)+v(134)*v(555)-v(568)
      v(569)=v(448)+v(138)*v(555)+v(568)
      v(445)=-(v(137)*v(436))+v(595)
      v(609)=-v(445)+v(138)*v(546)-v(595)
      v(596)=v(445)+v(134)*v(546)+v(595)
      v(442)=v(142)*v(436)+v(622)
      v(636)=-v(442)+v(134)*v(537)-v(622)
      v(623)=v(442)+v(138)*v(537)+v(622)
      v(439)=-(v(147)*v(436))+v(649)
      v(672)=-v(439)+v(138)*v(528)-v(649)
      v(650)=v(439)+v(134)*v(528)+v(649)
      v(678)=v(30)*v(569)+v(33)*v(582)+v(36)*v(596)+v(39)*v(609)+v(42
     &)*v(623)+v(45)*v(636)+v(48)*v(650)+v(51)*v(672)
      v(675)=v(31)*v(569)+v(34)*v(582)+v(37)*v(596)+v(40)*v(609)+v(43
     &)*v(623)+v(46)*v(636)+v(49)*v(650)+v(52)*v(672)
      v(972)=-((v(222)*v(357)+v(188)*(v(192)*v(351)-v(195)*v(354)-v
     &(193)*v(387)+v(196)*v(390))-v(218)*v(396)-v(189)*(v(191)*v(351)
     &-v(194)*v(354)-v(193)*v(399)+v(196)*v(402))+v(190)*v(405)+v(214
     &)*v(411))*v(416))
      v(507)=(-(v(188)*v(387))+v(194)*v(396)+v(189)*v(399)-v(195)*v
     &(411))/v(197)+v(504)*v(972)
      v(991)=v(178)*v(507)
      v(990)=v(177)*v(507)
      v(513)=v(965)+v(990)
      v(510)=-v(965)+v(991)
      v(497)=v(405)/v(197)+v(222)*v(972)
      v(989)=v(178)*v(497)
      v(988)=v(177)*v(497)
      v(503)=v(959)+v(988)
      v(500)=-v(959)+v(989)
      v(488)=(-(v(188)*v(354))+v(191)*v(357)+v(190)*v(402)-v(193)*v
     &(411))/v(197)+v(485)*v(972)
      v(494)=v(176)*v(488)+v(973)
      v(491)=v(179)*v(488)-v(973)
      v(484)=v(974)+v(975)
      v(538)=-v(484)+v(510)
      v(529)=v(484)+v(513)
      v(481)=-v(975)+v(976)
      v(556)=-v(481)-v(510)
      v(547)=v(481)-v(513)
      v(474)=v(977)+v(978)
      v(535)=-v(474)+v(500)
      v(526)=v(474)+v(503)
      v(471)=-v(978)+v(979)
      v(553)=-v(471)-v(500)
      v(544)=v(471)-v(503)
      v(453)=(-(v(189)*v(354))+v(192)*v(357)+v(190)*v(390)-v(193)*v
     &(396))/v(197)-v(450)*v(972)
      v(465)=v(132)*v(453)+v(576)
      v(462)=-(v(137)*v(453))+v(603)
      v(459)=v(142)*v(453)+v(630)
      v(456)=-(v(147)*v(453))+v(657)
      v(449)=v(216)*v(249)+v(980)
      v(583)=-v(449)+v(134)*v(556)-v(570)
      v(571)=v(449)+v(138)*v(556)+v(570)
      v(446)=-(v(216)*v(240))+v(981)
      v(610)=-v(446)+v(138)*v(547)-v(597)
      v(598)=v(446)+v(134)*v(547)+v(597)
      v(443)=v(216)*v(234)+v(982)
      v(637)=-v(443)+v(134)*v(538)-v(624)
      v(625)=v(443)+v(138)*v(538)+v(624)
      v(440)=-(v(216)*v(228))+v(983)
      v(673)=-v(440)+v(138)*v(529)-v(651)
      v(652)=v(440)+v(134)*v(529)+v(651)
      v(679)=v(30)*v(571)+v(33)*v(583)+v(36)*v(598)+v(39)*v(610)+v(42
     &)*v(625)+v(45)*v(637)+v(48)*v(652)+v(51)*v(673)
      v(676)=v(31)*v(571)+v(34)*v(583)+v(37)*v(598)+v(40)*v(610)+v(43
     &)*v(625)+v(46)*v(637)+v(49)*v(652)+v(52)*v(673)
      v(433)=v(215)*v(249)+v(984)
      v(580)=-v(433)+v(134)*v(553)-v(564)
      v(565)=v(433)+v(138)*v(553)+v(564)
      v(430)=-(v(215)*v(240))+v(985)
      v(607)=-v(430)+v(138)*v(544)-v(591)
      v(592)=v(430)+v(134)*v(544)+v(591)
      v(427)=v(215)*v(234)+v(986)
      v(634)=-v(427)+v(134)*v(535)-v(618)
      v(619)=v(427)+v(138)*v(535)+v(618)
      v(424)=-(v(215)*v(228))+v(987)
      v(661)=-v(424)+v(138)*v(526)-v(645)
      v(646)=v(424)+v(134)*v(526)+v(645)
      v(667)=v(30)*v(565)+v(33)*v(580)+v(36)*v(592)+v(39)*v(607)+v(42
     &)*v(619)+v(45)*v(634)+v(48)*v(646)+v(51)*v(661)
      v(664)=v(31)*v(565)+v(34)*v(580)+v(37)*v(592)+v(40)*v(607)+v(43
     &)*v(619)+v(46)*v(634)+v(49)*v(646)+v(52)*v(661)
      v(999)=v(29)*v(565)+v(32)*v(580)+v(35)*v(592)+v(38)*v(607)+v(41
     &)*v(619)+v(44)*v(634)+v(47)*v(646)+v(50)*v(661)
      v(996)=-(v(302)*v(667))
      v(995)=v(299)*v(664)
      v(698)=v(296)*(v(300)*v(662)-v(298)*v(664)-v(303)*v(665)+v(301
     &)*v(667))+v(297)*(-(v(299)*v(662))+v(302)*v(665)+v(298)*v(674)
     &-v(301)*v(677))+(v(29)*v(561)+v(32)*v(578)+v(35)*v(588)+v(38)*v
     &(605)+v(41)*v(615)+v(44)*v(632)+v(47)*v(642)+v(50)*v(659))*v
     &(695)-v(696)*v(994)+v(295)*(v(992)+v(993)+v(995)+v(996))+v(697
     &)*v(999)
      v(1000)=v(29)*v(571)+v(32)*v(583)+v(35)*v(598)+v(38)*v(610)+v
     &(41)*v(625)+v(44)*v(637)+v(47)*v(652)+v(50)*v(673)
      v(998)=v(301)*v(679)
      v(997)=-(v(298)*v(676))
      v(699)=v(297)*(-(v(299)*v(674))+v(298)*v(675)+v(302)*v(677)-v
     &(301)*v(678))+v(295)*(-(v(300)*v(675))+v(299)*v(676)+v(303)*v
     &(678)-v(302)*v(679))-(v(29)*v(569)+v(32)*v(582)+v(35)*v(596)+v
     &(38)*v(609)+v(41)*v(623)+v(44)*v(636)+v(47)*v(650)+v(50)*v(672)
     &)*v(696)+v(1000)*v(697)+v(695)*v(994)+v(296)*(-v(992)-v(993)+v
     &(997)+v(998))
      v(517)=(v(188)*v(390)-v(191)*v(396)-v(189)*v(402)+v(192)*v(411)
     &)/v(197)+v(514)*v(972)
      v(523)=v(177)*v(517)+v(973)
      v(550)=v(491)-v(523)
      v(613)=-v(462)+v(138)*v(550)-v(603)
      v(604)=v(462)+v(134)*v(550)+v(603)
      v(532)=v(494)+v(523)
      v(685)=-v(456)+v(138)*v(532)-v(657)
      v(658)=v(456)+v(134)*v(532)+v(657)
      v(520)=v(178)*v(517)-v(973)
      v(559)=-v(491)-v(520)
      v(586)=-v(465)+v(134)*v(559)-v(576)
      v(577)=v(465)+v(138)*v(559)+v(576)
      v(541)=-v(494)+v(520)
      v(640)=-v(459)+v(134)*v(541)-v(630)
      v(631)=v(459)+v(138)*v(541)+v(630)
      v(691)=v(30)*v(577)+v(33)*v(586)+v(36)*v(604)+v(39)*v(613)+v(42
     &)*v(631)+v(45)*v(640)+v(48)*v(658)+v(51)*v(685)
      v(688)=v(31)*v(577)+v(34)*v(586)+v(37)*v(604)+v(40)*v(613)+v(43
     &)*v(631)+v(46)*v(640)+v(49)*v(658)+v(52)*v(685)
      v(700)=v(296)*(v(300)*v(664)-v(303)*v(667)-v(298)*v(688)+v(301
     &)*v(691))+v(295)*(-(v(300)*v(676))+v(303)*v(679)+v(299)*v(688)
     &-v(302)*v(691))-v(1000)*v(696)+(v(29)*v(577)+v(32)*v(586)+v(35
     &)*v(604)+v(38)*v(613)+v(41)*v(631)+v(44)*v(640)+v(47)*v(658)+v
     &(50)*v(685))*v(697)+v(297)*(-v(995)-v(996)-v(997)-v(998))+v(695
     &)*v(999)
      v(702)=v(131)*v(56)+v(133)*v(57)+v(136)*v(58)+v(139)*v(59)+v
     &(141)*v(60)+v(143)*v(61)+v(146)*v(62)+v(148)*v(63)
      v(1011)=-(v(702)/v(304))
      v(726)=-(cPprevvec(1)*v(131))-cPprevvec(2)*v(133)-cPprevvec(3
     &)*v(136)-cPprevvec(4)*v(139)-cPprevvec(5)*v(141)-cPprevvec(6)*v
     &(143)-cPprevvec(7)*v(146)-cPprevvec(8)*v(148)+v(702)
      v(1001)=kT*(cTprevvec(1)*v(131)+cTprevvec(2)*v(133)+cTprevvec(3
     &)*v(136)+cTprevvec(4)*v(139)+cTprevvec(5)*v(141)+cTprevvec(6)*v
     &(143)+cTprevvec(7)*v(146)+cTprevvec(8)*v(148))
      v(729)=-((etaP*v(1001))/kP)
      v(728)=(kS*(rhoSprevvec(1)*v(131)+rhoSprevvec(2)*v(133)
     &+rhoSprevvec(3)*v(136)+rhoSprevvec(4)*v(139)+rhoSprevvec(5)*v
     &(141)+rhoSprevvec(6)*v(143)+rhoSprevvec(7)*v(146)+rhoSprevvec(8
     &)*v(148))*v(4))/v(304)
      v(1008)=v(728)*v(729)
      v(1007)=v(136)*v(728)
      v(1006)=v(133)*v(728)
      v(1009)=1d0+v(73)*((-1d0)+dexp(-((kD*lP1*(cDprevvec(1)*v(131)
     &+cDprevvec(2)*v(133)+cDprevvec(3)*v(136)+cDprevvec(4)*v(139)
     &+cDprevvec(5)*v(141)+cDprevvec(6)*v(143)+cDprevvec(7)*v(146)
     &+cDprevvec(8)*v(148)))/v(304))))
      v(1003)=epsilonP/(1d0+dexp(lP2*(-cTth+v(1001)/v(304))))
      v(797)=v(1003)*v(148)
      v(1002)=v(728)*v(797)
      v(1039)=v(146)*(v(1002)+v(148))
      v(1037)=v(141)*(v(1002)+v(148))
      v(1034)=v(139)*(v(1002)+v(148))
      v(1033)=v(136)*(v(1002)+v(148))
      v(796)=v(1003)*v(146)
      v(1004)=v(728)*v(796)
      v(1038)=v(143)*(v(1004)+v(146))
      v(1032)=v(136)*(v(1004)+v(146))
      v(1036)=v(141)*(v(1004)+v(146))
      v(1030)=v(133)*(v(1004)+v(146))
      v(795)=v(1003)*v(143)
      v(1005)=v(728)*v(795)
      v(1035)=v(141)*(v(1005)+v(143))
      v(1029)=v(133)*(v(1005)+v(143))
      v(794)=v(1003)*v(141)
      v(793)=v(1003)*v(139)
      v(1031)=v(136)*v(139)+v(1007)*v(793)
      v(792)=v(1003)*v(136)
      v(1028)=v(133)*v(136)+v(1006)*v(792)
      v(791)=v(1003)*v(133)
      v(727)=v(1003)*v(702)
      v(1012)=v(726)+v(727)*v(728)
      v(716)=v(250)*v(313)+v(251)*v(314)+v(252)*v(315)
      v(717)=v(250)*v(314)+v(251)*v(317)+v(252)*v(318)
      v(718)=v(250)*v(315)+v(251)*v(318)+v(252)*v(320)
      v(799)=v(698)*v(716)+v(699)*v(717)+v(700)*v(718)
      v(798)=v(250)*v(716)+v(251)*v(717)+v(252)*v(718)
      v(778)=v(281)*v(716)+v(283)*v(717)+v(285)*v(718)
      v(767)=v(277)*v(716)+v(278)*v(717)+v(279)*v(718)
      v(757)=v(272)*v(716)+v(274)*v(717)+v(276)*v(718)
      v(748)=v(268)*v(716)+v(269)*v(717)+v(270)*v(718)
      v(740)=v(263)*v(716)+v(265)*v(717)+v(267)*v(718)
      v(733)=v(259)*v(716)+v(260)*v(717)+v(261)*v(718)
      v(722)=v(254)*v(716)+v(256)*v(717)+v(258)*v(718)
      v(719)=v(131)*v(728)
      v(1020)=v(131)*v(141)+v(719)*v(794)
      v(1026)=v(131)*v(148)+v(719)*v(797)
      v(1018)=v(131)*v(139)+v(719)*v(793)
      v(1024)=v(131)*v(146)+v(719)*v(796)
      v(1022)=v(131)*v(143)+v(719)*v(795)
      v(1016)=v(131)*v(136)+v(719)*v(792)
      v(1014)=v(131)*v(133)+v(719)*v(791)
      v(723)=v(254)*v(313)+v(256)*v(314)+v(258)*v(315)
      v(724)=v(254)*v(314)+v(256)*v(317)+v(258)*v(318)
      v(725)=v(254)*v(315)+v(256)*v(318)+v(258)*v(320)
      v(812)=v(254)*v(723)+v(256)*v(724)+v(258)*v(725)
      v(809)=v(698)*v(723)+v(699)*v(724)+v(700)*v(725)
      v(779)=v(281)*v(723)+v(283)*v(724)+v(285)*v(725)
      v(768)=v(277)*v(723)+v(278)*v(724)+v(279)*v(725)
      v(758)=v(272)*v(723)+v(274)*v(724)+v(276)*v(725)
      v(749)=v(268)*v(723)+v(269)*v(724)+v(270)*v(725)
      v(741)=v(263)*v(723)+v(265)*v(724)+v(267)*v(725)
      v(734)=v(259)*v(723)+v(260)*v(724)+v(261)*v(725)
      v(735)=v(259)*v(313)+v(260)*v(314)+v(261)*v(315)
      v(736)=v(259)*v(314)+v(260)*v(317)+v(261)*v(318)
      v(737)=v(259)*v(315)+v(260)*v(318)+v(261)*v(320)
      v(831)=v(259)*v(735)+v(260)*v(736)+v(261)*v(737)
      v(826)=v(698)*v(735)+v(699)*v(736)+v(700)*v(737)
      v(780)=v(281)*v(735)+v(283)*v(736)+v(285)*v(737)
      v(769)=v(277)*v(735)+v(278)*v(736)+v(279)*v(737)
      v(759)=v(272)*v(735)+v(274)*v(736)+v(276)*v(737)
      v(750)=v(268)*v(735)+v(269)*v(736)+v(270)*v(737)
      v(742)=v(263)*v(735)+v(265)*v(736)+v(267)*v(737)
      v(743)=v(263)*v(313)+v(265)*v(314)+v(267)*v(315)
      v(744)=v(263)*v(314)+v(265)*v(317)+v(267)*v(318)
      v(745)=v(263)*v(315)+v(265)*v(318)+v(267)*v(320)
      v(848)=v(263)*v(743)+v(265)*v(744)+v(267)*v(745)
      v(841)=v(698)*v(743)+v(699)*v(744)+v(700)*v(745)
      v(781)=v(281)*v(743)+v(283)*v(744)+v(285)*v(745)
      v(770)=v(277)*v(743)+v(278)*v(744)+v(279)*v(745)
      v(760)=v(272)*v(743)+v(274)*v(744)+v(276)*v(745)
      v(751)=v(268)*v(743)+v(269)*v(744)+v(270)*v(745)
      v(752)=v(268)*v(313)+v(269)*v(314)+v(270)*v(315)
      v(753)=v(268)*v(314)+v(269)*v(317)+v(270)*v(318)
      v(754)=v(268)*v(315)+v(269)*v(318)+v(270)*v(320)
      v(865)=v(268)*v(752)+v(269)*v(753)+v(270)*v(754)
      v(859)=v(698)*v(752)+v(699)*v(753)+v(700)*v(754)
      v(782)=v(281)*v(752)+v(283)*v(753)+v(285)*v(754)
      v(771)=v(277)*v(752)+v(278)*v(753)+v(279)*v(754)
      v(761)=v(272)*v(752)+v(274)*v(753)+v(276)*v(754)
      v(762)=v(272)*v(313)+v(274)*v(314)+v(276)*v(315)
      v(763)=v(272)*v(314)+v(274)*v(317)+v(276)*v(318)
      v(764)=v(272)*v(315)+v(274)*v(318)+v(276)*v(320)
      v(880)=v(272)*v(762)+v(274)*v(763)+v(276)*v(764)
      v(870)=v(698)*v(762)+v(699)*v(763)+v(700)*v(764)
      v(783)=v(281)*v(762)+v(283)*v(763)+v(285)*v(764)
      v(772)=v(277)*v(762)+v(278)*v(763)+v(279)*v(764)
      v(773)=v(277)*v(313)+v(278)*v(314)+v(279)*v(315)
      v(774)=v(277)*v(314)+v(278)*v(317)+v(279)*v(318)
      v(775)=v(277)*v(315)+v(278)*v(318)+v(279)*v(320)
      v(897)=v(277)*v(773)+v(278)*v(774)+v(279)*v(775)
      v(886)=v(698)*v(773)+v(699)*v(774)+v(700)*v(775)
      v(784)=v(281)*v(773)+v(283)*v(774)+v(285)*v(775)
      v(785)=v(281)*v(313)+v(283)*v(314)+v(285)*v(315)
      v(786)=v(281)*v(314)+v(283)*v(317)+v(285)*v(318)
      v(787)=v(281)*v(315)+v(283)*v(318)+v(285)*v(320)
      v(914)=v(281)*v(785)+v(283)*v(786)+v(285)*v(787)
      v(900)=v(698)*v(785)+v(699)*v(786)+v(700)*v(787)
      resP(1)=v(197)*(v(131)*v(726)+v(719)*(v(727)+v(1009)*v(729))+v
     &(1010)*(v(57)*v(722)+v(58)*v(733)+v(59)*v(740)+v(60)*v(748)+v
     &(61)*v(757)+v(62)*v(767)+v(63)*v(778)+v(56)*v(798)+v(1011)*v
     &(799)))
      resP(2)=v(197)*(v(1012)*v(133)+v(1006)*v(1009)*v(729)+v(1010)*
     &(v(56)*v(722)+v(58)*v(734)+v(59)*v(741)+v(60)*v(749)+v(61)*v
     &(758)+v(62)*v(768)+v(63)*v(779)+v(1011)*v(809)+v(57)*v(812)))
      resP(3)=v(197)*(v(1012)*v(136)+v(1007)*v(1009)*v(729)+v(1010)*
     &(v(56)*v(733)+v(57)*v(734)+v(59)*v(742)+v(60)*v(750)+v(61)*v
     &(759)+v(62)*v(769)+v(63)*v(780)+v(1011)*v(826)+v(58)*v(831)))
      resP(4)=v(197)*((v(1008)*v(1009)+v(1012))*v(139)+v(1010)*(v(56
     &)*v(740)+v(57)*v(741)+v(58)*v(742)+v(60)*v(751)+v(61)*v(760)+v
     &(62)*v(770)+v(63)*v(781)+v(1011)*v(841)+v(59)*v(848)))
      resP(5)=v(197)*((v(1008)*v(1009)+v(1012))*v(141)+v(1010)*(v(56
     &)*v(748)+v(57)*v(749)+v(58)*v(750)+v(59)*v(751)+v(61)*v(761)+v
     &(62)*v(771)+v(63)*v(782)+v(1011)*v(859)+v(60)*v(865)))
      resP(6)=v(197)*((v(1008)*v(1009)+v(1012))*v(143)+v(1010)*(v(56
     &)*v(757)+v(57)*v(758)+v(58)*v(759)+v(59)*v(760)+v(60)*v(761)+v
     &(62)*v(772)+v(63)*v(783)+v(1011)*v(870)+v(61)*v(880)))
      resP(7)=v(197)*((v(1008)*v(1009)+v(1012))*v(146)+v(1010)*(v(56
     &)*v(767)+v(57)*v(768)+v(58)*v(769)+v(59)*v(770)+v(60)*v(771)+v
     &(61)*v(772)+v(63)*v(784)+v(1011)*v(886)+v(62)*v(897)))
      resP(8)=v(197)*((v(1008)*v(1009)+v(1012))*v(148)+v(1010)*(v(56
     &)*v(778)+v(57)*v(779)+v(58)*v(780)+v(59)*v(781)+v(60)*v(782)+v
     &(61)*v(783)+v(62)*v(784)+v(1011)*v(900)+v(63)*v(914)))
      tangPP(1,1)=v(197)*((v(131)*v(131))+v(1003)*v(131)*v(719)+v
     &(1010)*(v(798)+v(1013)*v(799)))
      tangPP(1,2)=v(197)*(v(1014)+v(1010)*(v(722)+v(1015)*v(799)))
      tangPP(1,3)=v(197)*(v(1016)+v(1010)*(v(733)+v(1017)*v(799)))
      tangPP(1,4)=v(197)*(v(1018)+v(1010)*(v(740)+v(1019)*v(799)))
      tangPP(1,5)=v(197)*(v(1020)+v(1010)*(v(748)+v(1021)*v(799)))
      tangPP(1,6)=v(197)*(v(1022)+v(1010)*(v(757)+v(1023)*v(799)))
      tangPP(1,7)=v(197)*(v(1024)+v(1010)*(v(767)+v(1025)*v(799)))
      tangPP(1,8)=v(197)*(v(1026)+v(1010)*(v(778)+v(1027)*v(799)))
      tangPP(2,1)=v(197)*(v(1014)+v(1010)*(v(722)+v(1013)*v(809)))
      tangPP(2,2)=v(197)*((v(133)*v(133))+v(1006)*v(791)+v(1010)*(v
     &(1015)*v(809)+v(812)))
      tangPP(2,3)=v(197)*(v(1028)+v(1010)*(v(734)+v(1017)*v(809)))
      tangPP(2,4)=v(197)*(v(1016)+v(1010)*(v(741)+v(1019)*v(809)))
      tangPP(2,5)=v(197)*(v(1022)+v(1010)*(v(749)+v(1021)*v(809)))
      tangPP(2,6)=v(197)*(v(1029)+v(1010)*(v(758)+v(1023)*v(809)))
      tangPP(2,7)=v(197)*(v(1030)+v(1010)*(v(768)+v(1025)*v(809)))
      tangPP(2,8)=v(197)*(v(1024)+v(1010)*(v(779)+v(1027)*v(809)))
      tangPP(3,1)=v(197)*(v(1016)+v(1010)*(v(733)+v(1013)*v(826)))
      tangPP(3,2)=v(197)*(v(1028)+v(1010)*(v(734)+v(1015)*v(826)))
      tangPP(3,3)=v(197)*((v(136)*v(136))+v(1007)*v(792)+v(1010)*(v
     &(1017)*v(826)+v(831)))
      tangPP(3,4)=v(197)*(v(1031)+v(1010)*(v(742)+v(1019)*v(826)))
      tangPP(3,5)=v(197)*(v(1024)+v(1010)*(v(750)+v(1021)*v(826)))
      tangPP(3,6)=v(197)*(v(1030)+v(1010)*(v(759)+v(1023)*v(826)))
      tangPP(3,7)=v(197)*(v(1032)+v(1010)*(v(769)+v(1025)*v(826)))
      tangPP(3,8)=v(197)*(v(1033)+v(1010)*(v(780)+v(1027)*v(826)))
      tangPP(4,1)=v(197)*(v(1018)+v(1010)*(v(740)+v(1013)*v(841)))
      tangPP(4,2)=v(197)*(v(1016)+v(1010)*(v(741)+v(1015)*v(841)))
      tangPP(4,3)=v(197)*(v(1031)+v(1010)*(v(742)+v(1017)*v(841)))
      tangPP(4,4)=v(197)*((v(139)*v(139))+v(139)*v(728)*v(793)+v(1010
     &)*(v(1019)*v(841)+v(848)))
      tangPP(4,5)=v(197)*(v(1026)+v(1010)*(v(751)+v(1021)*v(841)))
      tangPP(4,6)=v(197)*(v(1024)+v(1010)*(v(760)+v(1023)*v(841)))
      tangPP(4,7)=v(197)*(v(1033)+v(1010)*(v(770)+v(1025)*v(841)))
      tangPP(4,8)=v(197)*(v(1034)+v(1010)*(v(781)+v(1027)*v(841)))
      tangPP(5,1)=v(197)*(v(1020)+v(1010)*(v(748)+v(1013)*v(859)))
      tangPP(5,2)=v(197)*(v(1022)+v(1010)*(v(749)+v(1015)*v(859)))
      tangPP(5,3)=v(197)*(v(1024)+v(1010)*(v(750)+v(1017)*v(859)))
      tangPP(5,4)=v(197)*(v(1026)+v(1010)*(v(751)+v(1019)*v(859)))
      tangPP(5,5)=v(197)*((v(141)*v(141))+v(141)*v(728)*v(794)+v(1010
     &)*(v(1021)*v(859)+v(865)))
      tangPP(5,6)=v(197)*(v(1035)+v(1010)*(v(761)+v(1023)*v(859)))
      tangPP(5,7)=v(197)*(v(1036)+v(1010)*(v(771)+v(1025)*v(859)))
      tangPP(5,8)=v(197)*(v(1037)+v(1010)*(v(782)+v(1027)*v(859)))
      tangPP(6,1)=v(197)*(v(1022)+v(1010)*(v(757)+v(1013)*v(870)))
      tangPP(6,2)=v(197)*(v(1029)+v(1010)*(v(758)+v(1015)*v(870)))
      tangPP(6,3)=v(197)*(v(1030)+v(1010)*(v(759)+v(1017)*v(870)))
      tangPP(6,4)=v(197)*(v(1024)+v(1010)*(v(760)+v(1019)*v(870)))
      tangPP(6,5)=v(197)*(v(1035)+v(1010)*(v(761)+v(1021)*v(870)))
      tangPP(6,6)=v(197)*(v(1005)*v(143)+(v(143)*v(143))+v(1010)*(v
     &(1023)*v(870)+v(880)))
      tangPP(6,7)=v(197)*(v(1038)+v(1010)*(v(772)+v(1025)*v(870)))
      tangPP(6,8)=v(197)*(v(1036)+v(1010)*(v(783)+v(1027)*v(870)))
      tangPP(7,1)=v(197)*(v(1024)+v(1010)*(v(767)+v(1013)*v(886)))
      tangPP(7,2)=v(197)*(v(1030)+v(1010)*(v(768)+v(1015)*v(886)))
      tangPP(7,3)=v(197)*(v(1032)+v(1010)*(v(769)+v(1017)*v(886)))
      tangPP(7,4)=v(197)*(v(1033)+v(1010)*(v(770)+v(1019)*v(886)))
      tangPP(7,5)=v(197)*(v(1036)+v(1010)*(v(771)+v(1021)*v(886)))
      tangPP(7,6)=v(197)*(v(1038)+v(1010)*(v(772)+v(1023)*v(886)))
      tangPP(7,7)=v(197)*(v(1004)*v(146)+(v(146)*v(146))+v(1010)*(v
     &(1025)*v(886)+v(897)))
      tangPP(7,8)=v(197)*(v(1039)+v(1010)*(v(784)+v(1027)*v(886)))
      tangPP(8,1)=v(197)*(v(1026)+v(1010)*(v(778)+v(1013)*v(900)))
      tangPP(8,2)=v(197)*(v(1024)+v(1010)*(v(779)+v(1015)*v(900)))
      tangPP(8,3)=v(197)*(v(1033)+v(1010)*(v(780)+v(1017)*v(900)))
      tangPP(8,4)=v(197)*(v(1034)+v(1010)*(v(781)+v(1019)*v(900)))
      tangPP(8,5)=v(197)*(v(1037)+v(1010)*(v(782)+v(1021)*v(900)))
      tangPP(8,6)=v(197)*(v(1036)+v(1010)*(v(783)+v(1023)*v(900)))
      tangPP(8,7)=v(197)*(v(1039)+v(1010)*(v(784)+v(1025)*v(900)))
      tangPP(8,8)=v(197)*(v(1002)*v(148)+(v(148)*v(148))+v(1010)*(v
     &(1027)*v(900)+v(914)))
      END
